[debian-edu-commits] r80033 - in branches/wheezy/debian-edu-config: debian share/debian-edu-config/tools
holger at alioth.debian.org
holger at alioth.debian.org
Thu May 9 11:45:47 UTC 2013
Author: holger
Date: 2013-05-09 11:45:47 +0000 (Thu, 09 May 2013)
New Revision: 80033
Added:
branches/wheezy/debian-edu-config/share/debian-edu-config/tools/debian-edu-bless
Removed:
branches/wheezy/debian-edu-config/share/debian-edu-config/tools/bless-debian
Modified:
branches/wheezy/debian-edu-config/debian/changelog
Log:
Rename tools/bless-debian to debian-edu-bless.
Modified: branches/wheezy/debian-edu-config/debian/changelog
===================================================================
--- branches/wheezy/debian-edu-config/debian/changelog 2013-05-08 21:57:47 UTC (rev 80032)
+++ branches/wheezy/debian-edu-config/debian/changelog 2013-05-09 11:45:47 UTC (rev 80033)
@@ -12,6 +12,9 @@
* Add /etc/gosa/desktoprc, needed to configure gosa-desktop with
the right URL.
+ [ Holger Levsen ]
+ * Rename tools/bless-debian to debian-edu-bless.
+
-- Petter Reinholdtsen <pere at debian.org> Wed, 08 May 2013 11:17:25 +0200
debian-edu-config (1.704~svn80012) wheezy-test; urgency=low
Deleted: branches/wheezy/debian-edu-config/share/debian-edu-config/tools/bless-debian
===================================================================
--- branches/wheezy/debian-edu-config/share/debian-edu-config/tools/bless-debian 2013-05-08 21:57:47 UTC (rev 80032)
+++ branches/wheezy/debian-edu-config/share/debian-edu-config/tools/bless-debian 2013-05-09 11:45:47 UTC (rev 80033)
@@ -1,125 +0,0 @@
-#!/bin/sh
-#
-# This is an example script that explain what need to be done to
-# transform a freshly installed Debian machine (hopefully without any
-# of the Debian Edu related packages already installed) to a Debian
-# Edu client. The packages that was already installed before running
-# this script might not get the configuration they would have in a
-# normal Debian Edu installation, due to preseeding happening too
-# late.
-#
-# This script must run as root.
-
-set -e
-
-# Install with these settings
-PROFILE="Workstation"
-
-# Desktop environment to use. Can include several comma separated values.
-# Valid values are currently kde, gnome, lxde
-DESKTOP="kde"
-
-# Use norwegian bokmål if no language is set in the host system
-if [ -z "$LANG" ] ; then
- LANG="nb_NO.UTF-8"
- if [ -z "$LANGUAGE" ] ; then
- LANGUAGE="nb_NO:nb:no_NO:no:nn_NO:nn:da:sv:en"
- fi
-fi
-
-# Any version string will do. If an old and official version string
-# like terra_alpha is used, it will be replaced by debian-edu-install
-# during installation to the current version.
-VERSION="terra_alpha"
-
-# Set this if you want to run the testsuite after first boot, and use
-# the test version of the APT repositories.
-TESTINSTALL="true"
-
-# Make sure the locale settings are visible
-export LANG LANGUAGE
-
-setup_tasksel_overrides() {
- # Modify tasksels desktop test so the normal Debian desktop
- # profiles are not installed. Use dpkg-divert to to switch to our
- # version
- sed -e 's/if desktop_hardware/# Do not install a desktop - added by debian-edu-install\nunmark\n\n&/' \
- < /usr/lib/tasksel/tests/desktop \
- > /usr/lib/tasksel/tests/desktop.edu
- chmod 755 /usr/lib/tasksel/tests/desktop.edu
- dpkg-divert --package debian-edu-install --rename --quiet \
- --add /usr/lib/tasksel/tests/desktop
- ln -sf ./desktop.edu /usr/lib/tasksel/tests/desktop
-
- # And for the standard system task too
- sed -e 's/^case/# Do not install standard system task - added by debian-edu-install\nexit 3\n\n&/' \
- < /usr/lib/tasksel/tests/new-install \
- > /usr/lib/tasksel/tests/new-install.edu
- chmod 755 /usr/lib/tasksel/tests/new-install.edu
- dpkg-divert --package debian-edu-install --rename --quiet \
- --add /usr/lib/tasksel/tests/new-install
- ln -sf ./new-install.edu /usr/lib/tasksel/tests/new-install
-}
-
-remove_tasksel_overrides() {
- for test in desktop new-install ; do
- file=/usr/lib/tasksel/tests/$test
- if [ -x $file.edu ] ; then
- rm $file
- dpkg-divert --package debian-edu-install \
- --rename --quiet --remove $file
- rm $file.edu
- else
- error "Missing divert for $file."
- fi
- done
-}
-
-# 0. Install etckeeper, to keep track of changes in /etc/ (optional,
-# highly recommended)
-apt-get install -y etckeeper
-
-# 1. Add skolelinux related APT sources.
-apt-get install -y debian-edu-archive-keyring
-cat <<EOF >/etc/apt/sources.list.d/debian-edu.list
-deb http://ftp.skolelinux.org/skolelinux wheezy-test local
-deb-src http://ftp.skolelinux.org/skolelinux wheezy-test local
-EOF
-
-# 2. Create /etc/debian-edu/config, for example like this:
-mkdir -p /etc/debian-edu
-cat <<EOF > /etc/debian-edu/config
-VERSION="$VERSION"
-PROFILE="$PROFILE"
-LANGCODE="$LANGUAGE"
-LOCALE="$LANG"
-EOF
-
-if [ "true" == "$TESTINSTALL" ] ; then
- echo 'TESTINSTALL="true"' >> /etc/debian-edu/config
-fi
-
-# 3. Install debian-edu-install to load preseeding values and pull in
-# our configuration..
-apt-get install -y debian-edu-install
-
-# 4. Run tasksel to install packages according to the profile
-# specified in the config above, overriding some of the Debian
-# automation machinery.
-(
- echo debian-edu-install debian-edu-install/profile multiselect "$PROFILE"
- echo tasksel tasksel/desktop string "$DESKTOP"
-) | debconf-set-selections
-setup_tasksel_overrides
-DEBIAN_PRIORITY=critical tasksel --new-install
-remove_tasksel_overrides
-
-# 5. Run cfengine to configure everything that could not be done using
-# preseeding.
-cfengine-debian-edu -D installation
-etckeeper commit "/etc/ state after running cfengine-debian-edu."
-
-# 6. Reboot
-echo "It is now time to reboot. For example by running"
-echo " shutdown -r now 'Into the great wide open'"
-exit 0
Copied: branches/wheezy/debian-edu-config/share/debian-edu-config/tools/debian-edu-bless (from rev 80032, branches/wheezy/debian-edu-config/share/debian-edu-config/tools/bless-debian)
===================================================================
--- branches/wheezy/debian-edu-config/share/debian-edu-config/tools/debian-edu-bless (rev 0)
+++ branches/wheezy/debian-edu-config/share/debian-edu-config/tools/debian-edu-bless 2013-05-09 11:45:47 UTC (rev 80033)
@@ -0,0 +1,125 @@
+#!/bin/sh
+#
+# This is an example script that explain what need to be done to
+# transform a freshly installed Debian machine (hopefully without any
+# of the Debian Edu related packages already installed) to a Debian
+# Edu client. The packages that was already installed before running
+# this script might not get the configuration they would have in a
+# normal Debian Edu installation, due to preseeding happening too
+# late.
+#
+# This script must run as root.
+
+set -e
+
+# Install with these settings
+PROFILE="Workstation"
+
+# Desktop environment to use. Can include several comma separated values.
+# Valid values are currently kde, gnome, lxde
+DESKTOP="kde"
+
+# Use norwegian bokmål if no language is set in the host system
+if [ -z "$LANG" ] ; then
+ LANG="nb_NO.UTF-8"
+ if [ -z "$LANGUAGE" ] ; then
+ LANGUAGE="nb_NO:nb:no_NO:no:nn_NO:nn:da:sv:en"
+ fi
+fi
+
+# Any version string will do. If an old and official version string
+# like terra_alpha is used, it will be replaced by debian-edu-install
+# during installation to the current version.
+VERSION="terra_alpha"
+
+# Set this if you want to run the testsuite after first boot, and use
+# the test version of the APT repositories.
+TESTINSTALL="true"
+
+# Make sure the locale settings are visible
+export LANG LANGUAGE
+
+setup_tasksel_overrides() {
+ # Modify tasksels desktop test so the normal Debian desktop
+ # profiles are not installed. Use dpkg-divert to to switch to our
+ # version
+ sed -e 's/if desktop_hardware/# Do not install a desktop - added by debian-edu-install\nunmark\n\n&/' \
+ < /usr/lib/tasksel/tests/desktop \
+ > /usr/lib/tasksel/tests/desktop.edu
+ chmod 755 /usr/lib/tasksel/tests/desktop.edu
+ dpkg-divert --package debian-edu-install --rename --quiet \
+ --add /usr/lib/tasksel/tests/desktop
+ ln -sf ./desktop.edu /usr/lib/tasksel/tests/desktop
+
+ # And for the standard system task too
+ sed -e 's/^case/# Do not install standard system task - added by debian-edu-install\nexit 3\n\n&/' \
+ < /usr/lib/tasksel/tests/new-install \
+ > /usr/lib/tasksel/tests/new-install.edu
+ chmod 755 /usr/lib/tasksel/tests/new-install.edu
+ dpkg-divert --package debian-edu-install --rename --quiet \
+ --add /usr/lib/tasksel/tests/new-install
+ ln -sf ./new-install.edu /usr/lib/tasksel/tests/new-install
+}
+
+remove_tasksel_overrides() {
+ for test in desktop new-install ; do
+ file=/usr/lib/tasksel/tests/$test
+ if [ -x $file.edu ] ; then
+ rm $file
+ dpkg-divert --package debian-edu-install \
+ --rename --quiet --remove $file
+ rm $file.edu
+ else
+ error "Missing divert for $file."
+ fi
+ done
+}
+
+# 0. Install etckeeper, to keep track of changes in /etc/ (optional,
+# highly recommended)
+apt-get install -y etckeeper
+
+# 1. Add skolelinux related APT sources.
+apt-get install -y debian-edu-archive-keyring
+cat <<EOF >/etc/apt/sources.list.d/debian-edu.list
+deb http://ftp.skolelinux.org/skolelinux wheezy-test local
+deb-src http://ftp.skolelinux.org/skolelinux wheezy-test local
+EOF
+
+# 2. Create /etc/debian-edu/config, for example like this:
+mkdir -p /etc/debian-edu
+cat <<EOF > /etc/debian-edu/config
+VERSION="$VERSION"
+PROFILE="$PROFILE"
+LANGCODE="$LANGUAGE"
+LOCALE="$LANG"
+EOF
+
+if [ "true" == "$TESTINSTALL" ] ; then
+ echo 'TESTINSTALL="true"' >> /etc/debian-edu/config
+fi
+
+# 3. Install debian-edu-install to load preseeding values and pull in
+# our configuration..
+apt-get install -y debian-edu-install
+
+# 4. Run tasksel to install packages according to the profile
+# specified in the config above, overriding some of the Debian
+# automation machinery.
+(
+ echo debian-edu-install debian-edu-install/profile multiselect "$PROFILE"
+ echo tasksel tasksel/desktop string "$DESKTOP"
+) | debconf-set-selections
+setup_tasksel_overrides
+DEBIAN_PRIORITY=critical tasksel --new-install
+remove_tasksel_overrides
+
+# 5. Run cfengine to configure everything that could not be done using
+# preseeding.
+cfengine-debian-edu -D installation
+etckeeper commit "/etc/ state after running cfengine-debian-edu."
+
+# 6. Reboot
+echo "It is now time to reboot. For example by running"
+echo " shutdown -r now 'Into the great wide open'"
+exit 0
More information about the debian-edu-commits
mailing list